// creator  : weidu.exe (version 23100)
// argument : STEPHA.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~STEPHA~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #20331 /* ~There's no need to yell, Jaheira.~ */
  IF ~~ THEN REPLY #20334 /* ~We will do what I see fit. Keep quiet.~ */ GOTO 1
  IF ~~ THEN REPLY #17934 /* ~Is there no way to confront the Cowled Wizards and keep them from bothering you?~ */ GOTO 2
  IF ~~ THEN REPLY #20354 /* ~So did I. Try not to disturb the rest of us.~ */ GOTO 3
  IF ~~ THEN REPLY #20418 /* ~Not everyone's coins land on edge, you know.~ */ GOTO 7
END

IF ~~ THEN BEGIN 1 // from: 7.0 3.1 2.0 0.0
  SAY #20342 /* ~We will have revenge for all wrongs in time.~ */
  IF ~~ THEN REPLY #20352 /* ~I... I was.  I stood beside Khalid in a battle long since won, only this time, he did not survive. There was... nothing I could do.~ */ GOTO 2
  IF ~~ THEN REPLY #20408 /* ~Perhaps an inn. I guess it doesn't really matter, does it?~ */ GOTO 4
  IF ~~ THEN REPLY #20413 /* ~I would suggest you get moving and decide on a plan.  And never again say something like "don't rightly know."  You sound like you were dropped as a child.~ */ GOTO 5
  IF ~~ THEN REPLY #20415 /* ~Or kicked.~ */ GOTO 3
  IF ~~ THEN REPLY #20419 /* ~I'm... I'm sorry, <CHARNAME>. I do not wish to cause undue strain in our party. I am merely a bit stressed, and no doubt you are as well.~ */ GOTO 7
END

IF ~~ THEN BEGIN 2 // from: 7.1 3.2 1.0 0.1
  SAY #17935 /* ~Pity, but I am only interested in what I can take from you. Blood or gold, you choose.~ */
  IF ~~ THEN REPLY #20416 /* ~It doesn't?  I hope you'll come up with something better than that.  I will not be put in a position where survival depends on the toss of a coin.~ */ GOTO 1
  IF ~~ THEN REPLY #20417 /* ~This is ridiculous.~ */ GOTO 3
  IF ~~ THEN REPLY #20420 /* ~Think nothing of it, Jaheira. It is understandable.~ */ GOTO 7
  IF ~~ THEN REPLY #20443 /* ~You are harsh and cruel, but it seems to serve you well. Perhaps that is the answer. I... I don't know. I will not bother you again with this.~ */ GOTO 5
  IF ~~ THEN REPLY #20444 /* ~'Only in succumbing to depression over what cannot be changed.' The writings of Alaundo? I learned likewise as a child.  We have more in common than I thought.~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 7.2 2.1 1.3 0.2
  SAY #20355 /* ~There is no weakness in sorrow.~ */
  IF ~~ THEN REPLY #20421 /* ~Perhaps, but I will try to be pleasant if you will.~ */ GOTO 7
  IF ~~ THEN REPLY #20423 /* ~Yes, but not acceptable. We are friends, and should act as such. I... I apologize.~ */ GOTO 1
  IF ~~ THEN REPLY #20425 /* ~I see you are more inclined to keep our relationship adversarial. I can accommodate this if you really wish.~ */ GOTO 2
  IF ~~ THEN REPLY #20432 /* ~He is gone, Jaheira. The sooner you accept it the sooner you can get on with your life.~ */ GOTO 4
  IF ~~ THEN REPLY #20433 /* ~There is no weakness in honest sorrow, Jaheira.~ */ GOTO 5
END

IF ~~ THEN BEGIN 4 // from: 7.3 5.0 3.3 2.4 1.1
  SAY #20364 /* ~But we each shape our tomorrow.  I remember from the prophecies of Alaundo they taught to children for a time.  Wise words.  Thanks for the reminder.~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #10102 /* ~Investigate the deaths in the Umar Hills.

I have found the adventurer hired earlier by Minister Lloyd, Mazzy Fentan, kept prisoner within a cage in the temple's dungeon.  According to the halfling, she and her party had earlier attempted to destroy the evil behind this place, the Shade Lord, and were utterly wiped out by a Shadow Dragon.

Mazzy related that her party needed to collect three keys to get to the final chamber, and there she discovered that the Shade Lord was inhabiting the body of the ranger, Merella.  Her companions were killed and turned into shadows, and she suspects she was kept alive to serve as the next host for the Shade Lord once Merella grows weak.

She also told of her suspicion that the Shade Lord's altar was somehow the focus of the dark power over this place.  Both the Shade Lord and his altar must be destroyed, and Mazzy offered to aid me in that task if I would only free her.~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from: 7.4 3.4 2.3 1.2
  SAY #20426 /* ~Mmmph... no... no... NO!!  Wh-what... what?~ [JAHEIR76] */
  IF ~~ THEN REPLY #20427 /* ~Nnn... no... NO!! wh... wh... what?~ */ GOTO 4
  IF ~~ THEN REPLY #20428 /* ~I heard you thrashing all night, Jaheira. Nightmares? Relax, there is nothing wrong.~ */ GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.1
  SAY #20430 /* ~Your dreams proving a bit ugly? Mine are like that sometimes as well.~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #10102 /* ~Investigate the deaths in the Umar Hills.

I have found the adventurer hired earlier by Minister Lloyd, Mazzy Fentan, kept prisoner within a cage in the temple's dungeon.  According to the halfling, she and her party had earlier attempted to destroy the evil behind this place, the Shade Lord, and were utterly wiped out by a Shadow Dragon.

Mazzy related that her party needed to collect three keys to get to the final chamber, and there she discovered that the Shade Lord was inhabiting the body of the ranger, Merella.  Her companions were killed and turned into shadows, and she suspects she was kept alive to serve as the next host for the Shade Lord once Merella grows weak.

She also told of her suspicion that the Shade Lord's altar was somehow the focus of the dark power over this place.  Both the Shade Lord and his altar must be destroyed, and Mazzy offered to aid me in that task if I would only free her.~ */ EXIT
END

IF ~~ THEN BEGIN 7 // from: 3.0 2.2 1.4 0.3
  SAY #20434 /* ~Khalid was there, and he died where he should have lived. I could do nothing.~ */
  IF ~~ THEN REPLY #20440 /* ~I suppose they would; you have lost people as well.  How do you deal with... watching them in your mind over and over?  I did not see Khalid's death, but I feel it.~ */ GOTO 1
  IF ~~ THEN REPLY #20441 /* ~Bah, the dead are gone. You are probably feeling a bad bit of beef, or a half-cooked potato.~ */ GOTO 2
  IF ~~ THEN REPLY #20442 /* ~You feel terrible, but you still feel. It should not consume you.~ */ GOTO 3
  IF ~~ THEN REPLY #20445 /* ~'But we each shape our tomorrow in the light of it.'  I remember from the prophecies of Alaundo.  Gorion taught you from the same book.  He was wise in this.~ */ GOTO 4
  IF ~~ THEN REPLY #20446 /* ~'Lest it consume your memories and you are left with just the sadness.'  From Alaundo?  Gorion taught you from the same book I learned from. He was wise in this.~ */ GOTO 5
END
